dk.brics.automaton

## Class DatatypesAutomatonProvider

- java.lang.Object
- - dk.brics.automaton.DatatypesAutomatonProvider

- All Implemented Interfaces:
    AutomatonProvider

      public class DatatypesAutomatonProvider
      extends java.lang.Object
      implements AutomatonProvider

  Automaton provider based on `Datatypes`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatatypesAutomatonProvider()` Constructs a new automaton provider that recognizes all names from `Datatypes.get(String)`.
    `DatatypesAutomatonProvider(boolean enable_unicodeblocks, boolean enable_unicodecategories, boolean enable_xml)` Constructs a new automaton provider that recognizes some of the names from `Datatypes.get(String)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Automaton` | `getAutomaton(java.lang.String name)` Returns automaton of the given name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatatypesAutomatonProvider

          public DatatypesAutomatonProvider()

      Constructs a new automaton provider that recognizes all names from `Datatypes.get(String)`.

    - #### DatatypesAutomatonProvider

          public DatatypesAutomatonProvider(boolean enable_unicodeblocks,
                                    boolean enable_unicodecategories,
                                    boolean enable_xml)

      Constructs a new automaton provider that recognizes some of the names from `Datatypes.get(String)`
      Parameters:
        `enable_unicodeblocks` - if true, enable Unicode block names
        `enable_unicodecategories` - if true, enable Unicode category names
        `enable_xml` - if true, enable XML related names

  - ### Method Detail

    - #### getAutomaton

          public Automaton getAutomaton(java.lang.String name)

      Description copied from interface: `AutomatonProvider`
      Returns automaton of the given name.
      Specified by:
        `getAutomaton` in interface `AutomatonProvider`
      Parameters:
        `name` - automaton name
      Returns:
        automaton